Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.net
Interface CacheFactoryBuilder

All Known Implementing Classes:
  DefaultCacheFactoryBuilder

      public interface CacheFactoryBuilder

CacheFactoryBuilder provides the means for building and managing configurable cache factories across class loaders in a pluggable fashion. <p/> This is an advanced facility that could be used within J2EE or OSGi containers to provide a class loader based application isolation.

Since:
  Coherence 3.5.1
Author:
  gg,rhl 2009.07.14

Method Summary
`ConfigurableCacheFactory` | `getConfigurableCacheFactory(ClassLoader loader)` Return the default ConfigurableCacheFactory for a given class loader.
`ConfigurableCacheFactory` | `getConfigurableCacheFactory(String sConfigURI, ClassLoader loader)` Return the ConfigurableCacheFactory for a given URI and class loader.
`void` | `release(ConfigurableCacheFactory factory)` Release the specified ConfigurableCacheFactory.
`void` | `releaseAll(ClassLoader loader)` Release all ConfigurableCacheFactory objects for a given ClassLoader.
`void` | `setCacheConfiguration(ClassLoader loader, XmlElement xmlConfig)` Dynamically set the default cache configuration for a given class loader.
`void` | `setCacheConfiguration(String sConfigURI, ClassLoader loader, XmlElement xmlConfig)` Dynamically set the cache configuration for a given URI and class loader.

Method Detail

### getConfigurableCacheFactory

    ConfigurableCacheFactory getConfigurableCacheFactory(ClassLoader loader)

  Return the default ConfigurableCacheFactory for a given class loader.
  Parameters:
    `loader` - class loader for which the configuration should be used; must not be null
  Returns:
    the default ConfigurableCacheFactory for a given class loader

### getConfigurableCacheFactory

    ConfigurableCacheFactory getConfigurableCacheFactory(String sConfigURI,
                                                         ClassLoader loader)

  Return the ConfigurableCacheFactory for a given URI and class loader.
  Parameters:
    `sConfigURI` - the configuration URI; must not be null
    `loader` - class loader for which the configuration should be used; must not be null
  Returns:
    the ConfigurableCacheFactory for a given URI and class loader

### setCacheConfiguration

    void setCacheConfiguration(ClassLoader loader,
                               XmlElement xmlConfig)

  Dynamically set the default cache configuration for a given class loader.
  Parameters:
    `loader` - class loader for which the configuration should be used; must not be null
    `xmlConfig` - cache configuration in xml element format

### setCacheConfiguration

    void setCacheConfiguration(String sConfigURI,
                               ClassLoader loader,
                               XmlElement xmlConfig)

  Dynamically set the cache configuration for a given URI and class loader.
  Parameters:
    `sConfigURI` - the configuration URI; must not be null
    `loader` - class loader for which the configuration should be used; must not be null
    `xmlConfig` - cache configuration in xml element format

### releaseAll

    void releaseAll(ClassLoader loader)

  Release all ConfigurableCacheFactory objects for a given ClassLoader.
  Parameters:
    `loader` - the class loader for which all associated cache factories should be released

### release

    void release(ConfigurableCacheFactory factory)

  Release the specified ConfigurableCacheFactory.
  Parameters:
    `factory` - the ConfigurableCacheFactory to release

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.